Creates instance of a stopped EvIdle watcher object

- « EvIdle::__construct

- EvIo »

- PHP Manual
- EvIdle
- Creates instance of a stopped EvIdle watcher object

# EvIdle::createStopped

(PECL ev >= 0.2.0)

EvIdle::createStopped — Creates instance of a stopped EvIdle watcher object

### Description

final public static EvIdle::createStopped( string `$callback` , mixed `$data` = ?, int `$priority` = ?): object

The same as EvIdle::__construct(), but doesn't start the watcher automatically.

### Parameters

`callback`

  See Watcher callbacks.

`data`

  Custom data associated with the watcher.

`priority`

  Watcher priority

### Return Values

Returns EvIdle object on success.

### See Also

- EvIdle::__construct() - Constructs the EvIdle watcher object
- EvLoop::idle() - Creates EvIdle watcher object associated with the current event loop instance